[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: ruby-bluecloth

Cédric Boutillier escreveu isso aí:
> I enabled the test suite for ruby1.8, and added a Build-depends: and a
> Suggests: to libtidy-ruby. I got confused by the fact that this
> package was not on the list of packaged maintained by the team (sic!).
> The tests now run ok.  I will contact the maintainer of libtidy-ruby.
> Thank you for your advice.

The package was missing a build dependency on ruby-rspec:

/usr/bin/ruby1.8 -I/usr/lib/ruby/vendor_ruby /usr/lib/ruby/vendor_ruby/gem2deb/test_runner.rb
./spec/bluecloth_spec.rb:16:in `require': no such file to load -- rspec (LoadError)
	from ./spec/bluecloth_spec.rb:16
	from debian/ruby-tests.rb:7:in `require'
	from debian/ruby-tests.rb:7
	from debian/ruby-tests.rb:7:in `each'
	from debian/ruby-tests.rb:7
ERROR: Test "ruby1.8" failed. Exiting.
dh_auto_install: dh_ruby --install /tmp/buildd/ruby-bluecloth-2.1.0/debian/tmp returned exit code 1
make: *** [binary] Error 1
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2
E: Failed autobuilding of package

You can catch this type of error by building packages under a clean chroot
(e.g. with `git buildpackage --git-pbuilder`)

I've added the build dependency and uploaded the package.


(not Augusto)

Antonio Terceiro <terceiro@debian.org>

Attachment: signature.asc
Description: Digital signature

Reply to: